| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_StdDescriptor_StreamEndpoint_Std_t Struct Reference
Common Class Definitions

Audio class-specific Streaming Endpoint Descriptor (USB-IF naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | bDescriptorType
uint8_t | bEndpointAddress
uint8_t | bInterval
uint8_t | bLength
uint8_t | bmAttributes
uint8_t | bRefresh
uint8_t | bSynchAddress
uint16_t | wMaxPacketSize

## Detailed Description

Type define for an Audio class-specific endpoint descriptor. This contains a regular endpoint descriptor with a few Audio-class-specific extensions. See the USB Audio specification for more details.

See also
  USB_Audio_Descriptor_StreamEndpoint_Std_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bEndpointAddress

Logical address of the endpoint within the device for the current configuration, including direction mask.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bInterval

Polling interval in milliseconds for the endpoint if it is an INTERRUPT or ISOCHRONOUS type.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bmAttributes

Endpoint attributes, comprised of a mask of the endpoint type (`EP_TYPE_*`) and attributes (`ENDPOINT_ATTR_*`) masks.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bRefresh

Always set to zero for Audio class devices.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::bSynchAddress

Endpoint address to send synchronization information to, if needed (zero otherwise).

uint16_t USB_Audio_StdDescriptor_StreamEndpoint_Std_t::wMaxPacketSize

Size of the endpoint bank, in bytes. This indicates the maximum packet size that the endpoint can receive at a time.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h